
Figure - Bug #112553
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】在设置打开的情况下，重复从控制空心进入“wlan、蓝牙、深色模式、护眼模式”
，会出现页面空白的情况
2022-10-13 15:49 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-13

Priority: Normal Due date: 2022-10-19

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221012.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备正常开机

【测试步骤】

1、打开设置-网络与互联网页面

2、在该页面下划打开控制中心

3、长按”互联网“进入设置

4、上划关闭控制中心，查看设置页面

5、重复2、3、4操作

【预期结果】

5、正常显示“WLAN"页面

【实际结果】

5、会出现页面空白的情况（只有一个标题）

PS:

1、在出现空白页面之后点击左上角的返回按钮，会回到正常显示页面，详情见视频

2、《wlan、蓝牙、深色模式、护眼模式》都会出现该情况

History

#1 - 2022-10-18 10:29 - CD FW-王伟

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#2 - 2022-10-19 14:39 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#3 - 2022-10-19 14:41 - CD AF-陈羽杰

- Due date set to 2022-10-19

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

已修复本地验证

■ My analysis

对外部跳转settings 判断不够准确，导致添加重复页面，从而导致白屏

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/156316

#4 - 2022-10-20 11:25 - CD TEST-方永红

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

10.20 验证成功

#5 - 2022-10-20 11:26 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2022-10-21 10:51 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:44 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

156316 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix outside jump exception1.Repeatedly enter the setting from the control blank, and the page will be blank2.Shortcut entry setting page display

exceptionTC-RID: 1201-0201813IssueID: TS-R-BUG-112553,TS-R-BUG-112606Change-Id: I041190b277bdf6ff6487daeb0c6433afa9620780

Files

131528.txt 8.72 MB 2022-10-13 CD TEST-方永红

Phone-5221FC0 2022-10-13 15-44-04.mp4 24 MB 2022-10-13 CD TEST-方永红
